Description

There are many different types of data types used for database tables with Ruby on Rails, each different database backend having
their own data types. This is just a simple list of generic data types used with ActiveRecord with Ruby on Rails.

:string

e |imited to 255 characters (depending on DBMS)
¢ Use for short text fields (names, emails, etc)

:text

¢ Unlimited length (depending on DBMS)
¢ Use for comments, blog posts, etc. General rule of thumb: if it's captured via textarea, use Text. For input using textfields, use
string.

:integer

e Whole numbers

:float

e Decimal numbers stored with floating point precision
e Precision is fixed, which can be problematic for some calculations; generally no good for math operations due to inaccurate
rounding.

:decimal

¢ Decimal numbers stored with precision that varies according to what is needed by your calculations; use these for math that
needs to be accurate
¢ See this post for examples and an in-depth explanation on the differences between floats and decimals.

:boolean

e Use to store true/false attributes (i.e. things that only have two states, like on/off)

:binary

e Use to store images, movies, and other files in their original, raw format in chunks of data called blobs

:date
e Stores only a date (year, month, day)

:time

e Stores only a time (hours, minutes, seconds)

:datetime

¢ Stores both date and time

:timestamp

¢ Stores both date and time

Resources

¢ http://stackoverflow.com/questions/11889048/is-there-documentation-for-the-rails-column-types
e http://blog.ifyouseewendy.com/blog/2015/08/10/data-types-in-rails/

¢ http:/stackoverflow.com/questions/17918117/rails-4-list-of-available-datatypes

History

#1 - 03/12/2016 10:04 PM - Daniel Curtis
- Description updated
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 04/09/2016 10:24 AM - Daniel Curtis
- Description updated

- Status changed from Resolved to Closed

#3 - 04/09/2016 10:25 AM - Daniel Curtis

- Description updated
